
Redmine - Defect #1941

Latest news appear on the homepage for projects with the News module disabled

2008-09-24 12:57 - Jakob Skjerning

Status: Closed Start date: 2008-09-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: News Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

To reproduce.

1. Go to a Project with the News module enabled.

2. Make sure the Project has at least one recent piece of News.

3. Go to the Project Settings and disable the News module.

4. Go to the Homepage </>.

Result

The "Latest news" on the Homepage contains news from the Project. The link to the News can be clicked and results in a "403: You

are not authorized to access this page".

Expected

News from projects with the News module disabled is not displayed in the "Latest news" box.

Redmine: r1901

Ruby: 1.8.6 (2007-03-13 patchlevel 0) [i686-darwin8.9.1]

Rails: 2.1.0

MySQL: 4.1.22

Associated revisions

Revision 1910 - 2008-09-28 09:54 - Jean-Philippe Lang

Fixed: Latest news appear on the homepage for projects with the News module disabled (#1941).

History

#1 - 2008-09-24 14:36 - Jakob Skjerning

- File latest_news_should_only_return_news_from_projects_with_news_enabled.diff added

- % Done changed from 0 to 100

I went ahead and fixed this, patch is attached. It turned out the News model had no tests at all, so I went ahead and added a few as well - including

one that verifies my issue and fix.

#2 - 2008-09-28 09:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

I've fixed it in r1910 using a slightly different approach and added your tests.

Thanks.

Files

latest_news_should_only_return_news_from_projects_with_news_enabled.diff4.12 KB 2008-09-24 Jakob Skjerning
